package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.toutiao.modules.agent.service.AgentManagementService;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class SynchronousAccountTransactionDetailsJob {

    @Resource
    AgentManagementService agentManagementService;

    /**
     * 同步账号交易流水
     *
     * @param
     * @return
     * @throws
     * @author ZZY
     */
    @XxlJob("synchronousAccountTransactionDetails")
    public void execute() throws Exception {
        try {
            //同步账号信息
            agentManagementService.synchronousAccount();
            //同步每个账号交易流水
            agentManagementService.synchronousAccountTransactionDetails();
        } catch (Exception e) {
            log.info("同步完成");
        }

    }
}
